GNU bug report logs - #43275
Upgrade antlr-mode to latest version

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Stefan Kangas <stefan@HIDDEN>; dated Tue, 8 Sep 2020 11:59:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43275 <at> debbugs.gnu.org:


Received: (at 43275) by debbugs.gnu.org; 1 Jan 2021 18:56:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 01 13:56:16 2021
Received: from localhost ([127.0.0.1]:34858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kvPax-00028D-Qe
	for submit <at> debbugs.gnu.org; Fri, 01 Jan 2021 13:56:16 -0500
Received: from mail-pg1-f172.google.com ([209.85.215.172]:39600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kvPav-000281-9G
 for 43275 <at> debbugs.gnu.org; Fri, 01 Jan 2021 13:56:13 -0500
Received: by mail-pg1-f172.google.com with SMTP id 30so10162400pgr.6
 for <43275 <at> debbugs.gnu.org>; Fri, 01 Jan 2021 10:56:13 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=5j5tPKfPHH7VlN/OHRUchy7B5ZVRA4gDGsGLOJr9b4U=;
 b=iebOqrgqTYMojIxMb2auSJmEqPCxHzp23hbwKo27OnkuRHOGZU2+BbCMPd4k/eLBR7
 AO6XRHnHzfdPyYGgZLnpb2I7hMXOAWZ3h+hOLmJYPKuT69uvo3fZg7gt7ELOhaRZItYD
 NTeB6aR0p46/ttK4Q+ZZ222aB6tegIFkH2E05SojBe/0wNfPx9wTsDDW9xaPGwSDgpHN
 Y2nOSalIQhwWenY4Q87HmLKKwWzP9GnzpCtZB/ZlTq4qGDRCfRkEbrjjypmXKh6fs5IQ
 Z0WwGiZkSogKK6S7IOvzzqR0e9/T+uAapHAv4m+vac2GchuK4y1tYAx+wM06gY0L7p2U
 h3nA==
X-Gm-Message-State: AOAM530Hbu9PB8ACcw6tupbWK4UxDxovhkOvpLNvoPF7CEQJy7PAWA27
 lIBFiej0OI/hoLBn9qPP4qf1aqtx3gQP0/zHgQo=
X-Google-Smtp-Source: ABdhPJwVUsnMw8ZNgQWuLTzen+BPmRMrBiu0dGT2dSSS296Fc7faoVXh6y0Rp/I9ZG0z+mozv/MSGLiM/2OWDa30HG0=
X-Received: by 2002:a63:6241:: with SMTP id w62mr62001790pgb.67.1609527367485; 
 Fri, 01 Jan 2021 10:56:07 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 1 Jan 2021 12:56:07 -0600
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmmtDYnPqL5_FLururBdwm3w-vShuDRVYnKLXa=QxzjCSg@HIDDEN>
 (Stefan Kangas's message of "Wed, 9 Sep 2020 08:28:23 -0700")
References: <CADwFkmkE74BqhrO7ovwbO59H5L2saqCOkvBnHo88Tt=c-Ubcaw@HIDDEN>
 <E1kFr65-0005q0-Kf@HIDDEN>
 <CF524114-7618-4F1B-B094-F0A7FB631086@HIDDEN>
 <CADwFkmmPXTQoH0s-ZUGwy=rfk6ur913-H77d5qLkWCXJ8D3SKw@HIDDEN>
 <CADwFkmmuWdHvtPxW2yZA-vWN+ZtZv3hS733yqFOg62wXwqNU0g@HIDDEN>
 <8E743CED-49F8-4D74-A289-389CCAD6F330@HIDDEN>
 <CADwFkmmtDYnPqL5_FLururBdwm3w-vShuDRVYnKLXa=QxzjCSg@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Fri, 1 Jan 2021 12:56:07 -0600
Message-ID: <CADwFkm=N=BdcZZMFgqjPTaM_R3K7VcfQKzL4v4s2RE7Rp2vCGQ@HIDDEN>
Subject: Re: bug#43275: Upgrade antlr-mode to latest version
To: "Wedler, Christoph" <christoph.wedler@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 43275
Cc: "43275 <at> debbugs.gnu.org" <43275 <at> debbugs.gnu.org>,
 "rms@HIDDEN" <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Stefan Kangas <stefan@HIDDEN> writes:

> "Wedler, Christoph" <christoph.wedler@HIDDEN> writes:
>
>> OK - I would basically do M-x emerge-files-with-ancestor:
>>
>> - A: my antlr-mode.el 3.1.5
>> - B: lisp/progmodes/antlr-mode.el
>> - Ancestor: lisp/progmodes/antlr-mode.el.~emacs-25.1~ (see my ChangeLog comment 2016-11-22),
>>
>> Does that sounds reasonable?
>
> I've never used that command, so I unfortunately can't help you with
> that.  Why not just give it a spin and see what happens?  :-)
>
> Another idea is to just manually look over the commits and apply them
> one by one to your sources as it makes sense.
>
>> If someone can guide me how Emacs handles git, I can probably directly push a change
>>
>> - starting at branch "master"?
>> - which branch to push to?
>
> To get commit access, you will need to apply for it on Savannah.  I'm
> not sure about the exact requirements to get commit access.
>
> If it's easier, you could send a patch here and we can push it for you.
>
>> - change comment: my ChangeLog starting at 2.2c?
>
> If you send the patch here first, we can look over the formatting.  But
> if you already have a GNU conforming ChangeLog, it sounds like a good
> idea to adapt it for Emacs.  If it's much too big to adapt, I think it's
> also okay to fall back to something like:
>
> * lisp/progmodes/antlr-mode.el: Sync with latest upstream.

That was 16 weeks ago.  Any updates here?

Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43275; Package emacs. Full text available.

Message received at 43275 <at> debbugs.gnu.org:


Received: (at 43275) by debbugs.gnu.org; 10 Sep 2020 02:38:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 22:38:28 2020
Received: from localhost ([127.0.0.1]:35573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kGCTk-0004Ai-IZ
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 22:38:28 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57280)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1kGCTg-0004AU-TM
 for 43275 <at> debbugs.gnu.org; Wed, 09 Sep 2020 22:38:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48880)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1kGCTa-0003ps-Dz; Wed, 09 Sep 2020 22:38:18 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1kGCTZ-0007YY-IN; Wed, 09 Sep 2020 22:38:17 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: "Wedler\, Christoph" <christoph.wedler@HIDDEN>
In-Reply-To: <CF524114-7618-4F1B-B094-F0A7FB631086@HIDDEN>
 (christoph.wedler@HIDDEN)
Subject: Re: bug#43275: Upgrade antlr-mode to latest version
References: <CADwFkmkE74BqhrO7ovwbO59H5L2saqCOkvBnHo88Tt=c-Ubcaw@HIDDEN>
 <E1kFr65-0005q0-Kf@HIDDEN>
 <CF524114-7618-4F1B-B094-F0A7FB631086@HIDDEN>
Message-Id: <E1kGCTZ-0007YY-IN@HIDDEN>
Date: Wed, 09 Sep 2020 22:38:17 -0400
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43275
Cc: 43275 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > If you need anything from my side (I am the author of antlr-mode),
  > please let me know.
  > Unfortunately, it is unrealistic for me to change the Emacs code base directly
  > (due to inexperience in it & time constraints).

For the long term, I expect we can make it feasible for you to do that,
if you are willing to.

For the short term, can you prepare a patch you recommend installing,
with suitable commit notes?

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43275; Package emacs. Full text available.

Message received at 43275 <at> debbugs.gnu.org:


Received: (at 43275) by debbugs.gnu.org; 9 Sep 2020 15:28:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 11:28:32 2020
Received: from localhost ([127.0.0.1]:32973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG21Q-0003Nn-9Y
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 11:28:32 -0400
Received: from mail-ed1-f68.google.com ([209.85.208.68]:41606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kG21O-0003NZ-4e
 for 43275 <at> debbugs.gnu.org; Wed, 09 Sep 2020 11:28:31 -0400
Received: by mail-ed1-f68.google.com with SMTP id ay8so3069450edb.8
 for <43275 <at> debbugs.gnu.org>; Wed, 09 Sep 2020 08:28:30 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=swJ/ghbCSGKIJjg0n7AnDnw/egg503vG0mJ9jHz7Q/8=;
 b=oeylA9n2YXV+nbYp2hho9EXoe97lSJpHOzXSweFpxWEtrMUxUVetAVM4yrJfwaB6jA
 Rrzrja2GehJvidpRlRWHcI8seVQpffC4JsOA1ZwB4M04tveVs+PEnEEwAFoIIzH3U6di
 ae4ZBn+RSvaVQxlIclBfG6xnYF5gKRjSYHJr1AzO2ygcAR4aKVtZSEIWwgaCj5tKWmnE
 1wErbeUQh65LJ5HucC2DfhS93DLtDw0nslZtpfRMPYNO6ln6VT5cJJc4+d0CcShmxw+y
 tCXV/RY71B7DezVyyFq2of5ROAI3u6sLWmPgbdhfviIN69qosqn2zAKVcCbCCHFGunXM
 qa1g==
X-Gm-Message-State: AOAM531fLJCtjLDNpgip47pcM7VpO6VbjygCU0ZqDNJy73IlZBnltS+K
 un7I/MGQjO+6xV5hu4mhcoSSIe/L7v4J8AsrE0w=
X-Google-Smtp-Source: ABdhPJzRpyCJlg2zKqhd/v+rEMvpU1f5JXRhlrkwIoDviStEzCY1z34gXHU77s4EeaA/vd7LY6IZ6KMFxQr0LmrDM4U=
X-Received: by 2002:a05:6402:445:: with SMTP id
 p5mr4742058edw.214.1599665303877; 
 Wed, 09 Sep 2020 08:28:23 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 9 Sep 2020 08:28:23 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <8E743CED-49F8-4D74-A289-389CCAD6F330@HIDDEN>
References: <CADwFkmkE74BqhrO7ovwbO59H5L2saqCOkvBnHo88Tt=c-Ubcaw@HIDDEN>
 <E1kFr65-0005q0-Kf@HIDDEN>
 <CF524114-7618-4F1B-B094-F0A7FB631086@HIDDEN>
 <CADwFkmmPXTQoH0s-ZUGwy=rfk6ur913-H77d5qLkWCXJ8D3SKw@HIDDEN>
 <CADwFkmmuWdHvtPxW2yZA-vWN+ZtZv3hS733yqFOg62wXwqNU0g@HIDDEN>
 <8E743CED-49F8-4D74-A289-389CCAD6F330@HIDDEN>
MIME-Version: 1.0
Date: Wed, 9 Sep 2020 08:28:23 -0700
Message-ID: <CADwFkmmtDYnPqL5_FLururBdwm3w-vShuDRVYnKLXa=QxzjCSg@HIDDEN>
Subject: Re: bug#43275: Upgrade antlr-mode to latest version
To: "Wedler, Christoph" <christoph.wedler@HIDDEN>, "rms@HIDDEN" <rms@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 43275
Cc: "43275 <at> debbugs.gnu.org" <43275 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

"Wedler, Christoph" <christoph.wedler@HIDDEN> writes:

> OK - I would basically do M-x emerge-files-with-ancestor:
>
> - A: my antlr-mode.el 3.1.5
> - B: lisp/progmodes/antlr-mode.el
> - Ancestor: lisp/progmodes/antlr-mode.el.~emacs-25.1~ (see my ChangeLog comment 2016-11-22),
>
> Does that sounds reasonable?

I've never used that command, so I unfortunately can't help you with
that.  Why not just give it a spin and see what happens?  :-)

Another idea is to just manually look over the commits and apply them
one by one to your sources as it makes sense.

> If someone can guide me how Emacs handles git, I can probably directly push a change
>
> - starting at branch "master"?
> - which branch to push to?

To get commit access, you will need to apply for it on Savannah.  I'm
not sure about the exact requirements to get commit access.

If it's easier, you could send a patch here and we can push it for you.

> - change comment: my ChangeLog starting at 2.2c?

If you send the patch here first, we can look over the formatting.  But
if you already have a GNU conforming ChangeLog, it sounds like a good
idea to adapt it for Emacs.  If it's much too big to adapt, I think it's
also okay to fall back to something like:

* lisp/progmodes/antlr-mode.el: Sync with latest upstream.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43275; Package emacs. Full text available.

Message received at 43275 <at> debbugs.gnu.org:


Received: (at 43275) by debbugs.gnu.org; 9 Sep 2020 15:07:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 11:07:09 2020
Received: from localhost ([127.0.0.1]:32896 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG1gg-0002la-JD
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 11:07:08 -0400
Received: from esa3.sap.c3s2.iphmx.com ([68.232.159.191]:44641)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christoph.wedler@HIDDEN>) id 1kG1AJ-0001x7-7p
 for 43275 <at> debbugs.gnu.org; Wed, 09 Sep 2020 10:33:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=sap.com; i=@sap.com; q=dns/txt; s=it-20200722;
 t=1599662019; x=1631198019;
 h=from:to:cc:subject:date:message-id:references:
 in-reply-to:content-id:content-transfer-encoding: mime-version;
 bh=+mRc21WOMhh7uueqlHJ+dpnO0UxtinVOtRjhbDwhNqI=;
 b=ciGFv8skArWo4tG+DnpROcyI5LNcAz8VO0RBxZm8E5DXP5OkGyYHtNR/
 d0GOh/Ddv3Z5KmQiC1JYPY4n/S2vK5wxqBhXZzdjLu9eiTk/anj5xvB9f
 A4wlUXbD0MAScFqPhTHVrUeKWZgIq5ZKsV4z3WzYnkG9fToHe41QC+FP/
 5YlYOvXgc21IBJ1XWpyv8/m/VZv08h0Q4Ii35sGNo9YmQnxhvN1WCtPMv
 hcQrbBvW5sFRORl1x9fw3u1FOdgWqmdY5JhlNQdOwrbpB7zWNFkf/s/Q5
 j5fy5L42G/Pooj4qb9XCLuC8m2ePk8haNlDsVAtYVLMmq4UxHMxb2SB1v A==;
IronPort-SDR: p05j1Nnvx6iQaRoGvxM+30CQBrLaJe8QO5lgJSkrIQnV0Z4FdHi7nPn4yxDfo2IPoQOXxzpWgF
 Ce/QZu0QWTC5BNlleluAH8khuuQqvHdQJ4XNmy9AvRmWZlWKO/paVQXSUyyMYjc/r7N78O7Ovg
 syDcerToc5NyPsCJ7pzoOGP8rkLRN/mMfr1zNOgxFOoF5HhRao/PrK8ZBH8tzXTYQu+zA1OO3b
 4vp/a4QXkvNNzbRJDKhHUNsxhwouNvjuGk9UtJHblVHITJ9ib5mPYWzFTGNX0dhB30frH+b96W
 2QthDBigf5jNz6BmoohIOHG3
X-Amp-Result: SKIPPED(no attachment in message)
Received: from smtpgw01.mail.net.sap (HELO smtpgw.sap-ag.de) ([155.56.66.96])
 by esa3.sap.c3s2.iphmx.com with ESMTP/TLS/ECDHE-RSA-AES256-SHA384;
 09 Sep 2020 16:33:33 +0200
Received: from EUR04-HE1-obe.outbound.protection.outlook.com (104.47.13.57) by
 smtpgw01.mail.net.sap (155.56.66.96) with Microsoft SMTP Server
 (TLS) id 15.0.1395.4; Wed, 9 Sep 2020 16:33:31 +0200
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=FPdU95+IE39eeUZdTJe7auoYxz7W3PYDX100ELcybq2UelpRkVnDEcMS9dEQKnsL5ZCP4rzWqhQeBaIqsXP7tTzvdUTgDbmqFY+8yqzyE8p3wLXMnGKyqlp41p7ajXmwq9KCF0HMjCmq8CB4bID3rIHRIpHUKlLcClvl15L9eE+jrN9495EP6N2EAVYx7RLfOdMesytwP2DVxSQI1CRsqimvOMkzeFAKNvdcQF6yHlLR7B+VLgOfj2x3ulHssu09Ucra+0g0nWHHD5I1OUakUi+/dMEH3TybFRz1rZ5835ei8yLM9iRnaQjZu8ZprdAGmy0X4f6nzQ/ouMZN2ABo6A==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=+mRc21WOMhh7uueqlHJ+dpnO0UxtinVOtRjhbDwhNqI=;
 b=A9V2YtJaMr75CZN5quf2dtFMMOph+ys7Ez6Yd/utNZQIPFVedGYIUD07I4tmXkoWq4kgN9dHI8wkpv4BEqBH0ZfAI8qZBw/is0BdZ7vlAiyOexDdNUEUnrkjhS+1Eqw05I0fsmcAHHlyQIM/DY/NnxfMrxGHi3v9EDQvRyAxi+uQusTcjX3MT2i5d/e+m3ZJZsL1eywsB9Ju4G0szCt+UrDVOyydmZItBK3iGsPacgIQPWo9DEaiQeCtIZUNCXKKTNvKdJb/AHdSJ/Ur8CXLRRXJLrKHThth/dn4OQdjwakgoUSoii4Qqp0yXbez0GI4Tv8c79YKrfd3xlQuFoThxA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=sap.com; dmarc=pass action=none header.from=sap.com; dkim=pass
 header.d=sap.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sap.onmicrosoft.com;
 s=selector2-sap-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=+mRc21WOMhh7uueqlHJ+dpnO0UxtinVOtRjhbDwhNqI=;
 b=JYLdu4zGgxMXZ5OVvV4CKVDPwiSlTej8R3kc20yehwKoufuColVdRoV1qoTSODc9ZUDd2tCfTt5FsclnGdZ0K3N1Nxajvgg4Sm4v0SBOhPd5rBIE7jO0+PktON7KCcHAz2WEvE/dw8+tRZ1JB0gbr9DJ1BS+deJs7MHfHRGQy2Q=
Received: from AM4PR02MB3074.eurprd02.prod.outlook.com (2603:10a6:205:4::19)
 by AM0PR02MB3876.eurprd02.prod.outlook.com (2603:10a6:208:40::20) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3326.23; Wed, 9 Sep
 2020 14:33:30 +0000
Received: from AM4PR02MB3074.eurprd02.prod.outlook.com
 ([fe80::851b:d8ce:bbb6:d233]) by AM4PR02MB3074.eurprd02.prod.outlook.com
 ([fe80::851b:d8ce:bbb6:d233%4]) with mapi id 15.20.3326.026; Wed, 9 Sep 2020
 14:33:30 +0000
From: "Wedler, Christoph" <christoph.wedler@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>, "rms@HIDDEN" <rms@HIDDEN>
Subject: Re: bug#43275: Upgrade antlr-mode to latest version
Thread-Topic: bug#43275: Upgrade antlr-mode to latest version
Thread-Index: AQHWhdeDExbD1vtTKUyUMBY5u4biDalfrJs0gACgWQD///Q3gIAABc8AgAA7PIA=
Date: Wed, 9 Sep 2020 14:33:30 +0000
Message-ID: <8E743CED-49F8-4D74-A289-389CCAD6F330@HIDDEN>
References: <CADwFkmkE74BqhrO7ovwbO59H5L2saqCOkvBnHo88Tt=c-Ubcaw@HIDDEN>
 <E1kFr65-0005q0-Kf@HIDDEN>
 <CF524114-7618-4F1B-B094-F0A7FB631086@HIDDEN>
 <CADwFkmmPXTQoH0s-ZUGwy=rfk6ur913-H77d5qLkWCXJ8D3SKw@HIDDEN>
 <CADwFkmmuWdHvtPxW2yZA-vWN+ZtZv3hS733yqFOg62wXwqNU0g@HIDDEN>
In-Reply-To: <CADwFkmmuWdHvtPxW2yZA-vWN+ZtZv3hS733yqFOg62wXwqNU0g@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-GB
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
user-agent: Microsoft-MacOutlook/16.40.20081000
x-originating-ip: [77.185.5.118]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 22f52b20-0320-4df9-0b30-08d854cd52c6
x-ms-traffictypediagnostic: AM0PR02MB3876:
x-microsoft-antispam-prvs: <AM0PR02MB3876D8F36235FEA53D2B5F7994260@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8273;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 7/6rD6pO5Aq7OeQln98HwRDY0Sj/wmP4AEMJM5ScAVA4DcygaG3UHaF8rfHo8imrjLQ0X5drlKSGaIlu3iPNN+wZkrCQiBdpWx2ZZ/hDXb8ahLwUfU9MRCFrOpmeZqrdFn7GaVk3hOcSpSKZlncaKEKGL86rLcWr6xUcJNrxYHYBZ3dBg9npBG5PkMUCCoXTtoogUvixmcer3LU4KcUTuwF2ihgqKaPBb1TVYqw9gCs/lWb9IR6AU+RyxTZcnY4v/KoZMWRTteNz/kmJUBxYoYdY80IYWO1P6RHaIqfAnop7KPDO1QwRsDy2h/eXmpvA
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:AM4PR02MB3074.eurprd02.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(4636009)(346002)(376002)(39860400002)(136003)(366004)(396003)(5660300002)(4326008)(316002)(6512007)(33656002)(2616005)(8676002)(8936002)(6486002)(83380400001)(478600001)(186003)(76116006)(66446008)(110136005)(66556008)(2906002)(26005)(66946007)(66476007)(64756008)(4744005)(86362001)(36756003)(71200400001)(6506007)(4001150100001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: sY35Upo4UkzWXoKPiwJYrJVgsXIpJKxwJRfJuLxxIJ87MPyE/gLoxGr4JMd2JqewdUOhNqDblUuXVptrx6GOc+oyn+wupG1BraeqQU5E0kMh4C357VvV4XXI/cS0GrpRkPFHoYlzr9kQZ8aVKsh6pBzlBd25RcgZqtz77uozpjBNWZ7bzLEsPTIemnYPuLotlTXwTbDYvadXXjeUB/03X/BE91GXmk5hJuNIGsrbMcprpshFX1nixGX30KXLknmLsnP4xiKlaXjAZED/pnaRHWA0Rhzq69hjLJxj4AHFpdY78g6j8QuDmwhX2h52B6dVXr8qbvFmPBfGE1JsZBeY3ddXoMtmOazckyEpmiwmc4UK3qNybuxIgX2cfXGmHZNOZRcniv6MdrFH355Te4kR2E0SnGYusYcuHJoqZhPlDTei7v/J1GyYbZm4ZwkrBPq1Noj/9q5IANv0colEK/G6xT2t085BtcCjpluQXadumj+vwrn762vG8BbkkDX2dL8jyIo0HrM7hbjwcWOgfFZU9mZnd8ZvbgD2Sq7Em8lJgwS/baOAso4J2m/36B8rYjuoLpiSh2/8vGRbcFqwXAwqb6/XwoU5+rFx8y7506vEneLPuxcGZJIhPCGUJeIN2KtK3oE7vRsULBJLTxgTBkBbkw==
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-ID: <7ADB99644F1D8D489DE271716942476F@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: AM4PR02MB3074.eurprd02.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 22f52b20-0320-4df9-0b30-08d854cd52c6
X-MS-Exchange-CrossTenant-originalarrivaltime: 09 Sep 2020 14:33:30.5425 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 42f7676c-f455-423c-82f6-dc2d99791af7
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: zkRYs5T+UkF5V4mKY+v+Ic/apY+hBrzpoHKgP3jwdY3xct4k2bZU/nRfdK1kUgXCWGV/mxlGEpFRrwz5CDb+XaKwSUBfZfDV0WRCILkxBak=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM0PR02MB3876
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43275
X-Mailman-Approved-At: Wed, 09 Sep 2020 11:07:05 -0400
Cc: "43275 <at> debbugs.gnu.org" <43275 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

U3RlZmFuIEthbmdhcyA8c3RlZmFuQG1hcnhpc3Quc2U+IHdyaXRlczoNCg0KPiBJIHNlZSBub3cg
dGhhdCB0aGVyZSBoYXZlIGJlZW4gc29tZSBjaGFuZ2VzIGluIGFudGxyLW1vZGUuZWwgaW4gdGhl
DQo+IEVtYWNzIHNvdXJjZSB0cmVlLiAgTm9uZSBvZiB0aGVtIGxvb2sgdmVyeSBiaWcgdG8gbWUs
IGFuZCBJIHdvdWxkIGV4cGVjdA0KPiB0aGF0IHRoZXkgd291bGQgbm90IHRha2UgdG9vIG11Y2gg
dGltZSBmb3IgeW91IHRvIHJldmlldy4NCg0KPiBXb3VsZCB5b3UgYmUgd2lsbGluZyB0byBtZXJn
ZSB0aG9zZSBjaGFuZ2VzIGludG8geW91ciB2ZXJzaW9uIGFuZCBzZW5kDQo+IGFuIHVwZGF0ZWQg
dmVyc2lvbiBoZXJlPw0KDQpPSyAtIEkgd291bGQgYmFzaWNhbGx5IGRvIE0teCBlbWVyZ2UtZmls
ZXMtd2l0aC1hbmNlc3RvcjoNCg0KLSBBOiBteSBhbnRsci1tb2RlLmVsIDMuMS41DQotIEI6IGxp
c3AvcHJvZ21vZGVzL2FudGxyLW1vZGUuZWwNCi0gQW5jZXN0b3I6IGxpc3AvcHJvZ21vZGVzL2Fu
dGxyLW1vZGUuZWwufmVtYWNzLTI1LjF+IChzZWUgbXkgQ2hhbmdlTG9nIGNvbW1lbnQgMjAxNi0x
MS0yMiksDQoNCkRvZXMgdGhhdCBzb3VuZHMgcmVhc29uYWJsZT8NCg0KSWYgc29tZW9uZSBjYW4g
Z3VpZGUgbWUgaG93IEVtYWNzIGhhbmRsZXMgZ2l0LCBJIGNhbiBwcm9iYWJseSBkaXJlY3RseSBw
dXNoIGEgY2hhbmdlDQoNCi0gc3RhcnRpbmcgYXQgYnJhbmNoICJtYXN0ZXIiPw0KLSB3aGljaCBi
cmFuY2ggdG8gcHVzaCB0bz8NCi0gY2hhbmdlIGNvbW1lbnQ6IG15IENoYW5nZUxvZyBzdGFydGlu
ZyBhdCAyLjJjPw0KDQo=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43275; Package emacs. Full text available.

Message received at 43275 <at> debbugs.gnu.org:


Received: (at 43275) by debbugs.gnu.org; 9 Sep 2020 13:43:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 09:43:02 2020
Received: from localhost ([127.0.0.1]:57985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG0NJ-0003uw-0y
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 09:43:02 -0400
Received: from esa7.sap.c3s2.iphmx.com ([68.232.156.154]:47546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <christoph.wedler@HIDDEN>) id 1kFyBo-00084J-Fc
 for 43275 <at> debbugs.gnu.org; Wed, 09 Sep 2020 07:23:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=sap.com; i=@sap.com; q=dns/txt; s=it-20200722;
 t=1599650581; x=1631186581;
 h=from:to:cc:subject:date:message-id:references:
 in-reply-to:content-id:content-transfer-encoding: mime-version;
 bh=/f8Mw/TjfT+GKlFWwGbeqT7WTvUJ2ZSSWZVohn/aiMo=;
 b=Zzn0a/10GOSti+BTE77XtZN5l0eAQe3DfkHcClNKUa182yi/rkeRZDyI
 s4KfGaI5GToAbJ++22GJEvqIYfCRN5Giv9MSjoMCcHBwqXTCxQhQM/FXO
 sCkIMIAVhp3yjkiouccYwfOxbhKrswb4xuKqAcBTdc4dS+gdZZWAV4kc/
 bgiBWrrPDff1zp31b1afaZw10tuU2ttATu2XTA8SftSdAbzv3UDRCeLlp
 LL5u2T4Pj4EDZ8fI3YR/KCxeCCUeMNYryQP21rGQ1daERwvU5KHn5PG78
 kXm3sk5QJ0IuPdSVlnZtyJUURpQbY1iPeDKwWvY6OcZ+009WxAC1bAp0K A==;
IronPort-SDR: W6i6Fe6RubrkwUzyQX+spkqd0zxRNkb3+fz10HSMrB/B19ZLhdowVO//8E6TW/p9Mb7KijPrGc
 1fkhU8NseKeQOVp2cpBZqZr1v57CIX11x173kQrViOilQJh2JoxLAy8NyZZl1kXTzQ+NB4OXnW
 qnSWCDKzaz+PV3uuold9mGyUcsCkAkMmg+iwZaLmnHJkipSLI7YR8crjFf8Vi5ZdJEBUYh7V0/
 yEgG3fMsBlJ1ZsXHGWY4T2q3h9nyQZtVn0y3X2F38nGb4GtHJCUO1MxLMN1xmi6oJURNXxSqq+
 KdMn3rvu18ySzOma1+Usn0gA
X-Amp-Result: SKIPPED(no attachment in message)
Received: from smtpgw01.mail.net.sap (HELO smtpgw.sap-ag.de) ([155.56.66.96])
 by esa7.sap.c3s2.iphmx.com with ESMTP/TLS/ECDHE-RSA-AES256-SHA384;
 09 Sep 2020 13:22:54 +0200
Received: from EUR05-AM6-obe.outbound.protection.outlook.com (104.47.18.113)
 by smtpgw01.mail.net.sap (155.56.66.96) with Microsoft SMTP Server (TLS) id
 15.0.1395.4; Wed, 9 Sep 2020 13:22:53 +0200
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=BMnOSPL29VKUQ2FTTX2f+VUTtpVebDvZ/BxkSa1wRgUQEflYZN5XGEGKSQOs654nByDvGP6fFy1jba8TU6TQi8rKXUZ4zYjj3S59fhgY/a5jX+G9XgP1MlJLNk9GgIs3c6n8ixDsCoycXsVuzgvuJYyy6t13TNLTCKwxnZdPUgvktgB0coZ9wpsjH1edZiPILEqaOXnXj/qlZoFg8boC/gQ35NVoZKedPmP/NHhaww47iLh46xHgHW1+HbxyB/2aZ4Ct5NQQyQ65U8c4ovxJjcxhDY2HuqZpZwHpoDxBWYvksFubbAUktwyXfrnHQTJo/ksA5TLG5/DHhJfkBDUbkQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=/f8Mw/TjfT+GKlFWwGbeqT7WTvUJ2ZSSWZVohn/aiMo=;
 b=fVd5TO49jZokvWdUdviLC4HRp7/JA42EJE7Oe8lVFqlMcB2Q4PxOWuFz0O5U5Zusp2S0CqR7Dh0A8hBYfc74xhiST6cKR2443lgR5fj0VaDcLy0O1O7e2vIhxl1vp+vIJl69CbHA9YI4rELKCn+H7AdmzDCVeTalM+rKH1MRTb5s1ho2hN9UPZr6H5eTPo9R8Vz/X47Kd0Cj6ukDXH96h0lbhgeBfxqIaRstZjs+VfVnP4P2a0xfBdN35EYawkDhtIBfM9ouuu2zuMwMx2xldJYV01/HsbtMbmEgIaIBqlW0JH5pt8bfR0pZM0iOnYgxP3dO0gsK3SL9e8QzRxcoYg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=sap.com; dmarc=pass action=none header.from=sap.com; dkim=pass
 header.d=sap.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sap.onmicrosoft.com;
 s=selector2-sap-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=/f8Mw/TjfT+GKlFWwGbeqT7WTvUJ2ZSSWZVohn/aiMo=;
 b=GBgzOGCOtmgNcx1QPu6cFu1PJRWTlPI4E+bODcy40CYmsFubaf2KDkYokGLKMjGGPoA3oQvywZr9UaH87NvdpDRWdkwAyXH2AVGfk7BqfHJ/ZI18oqBO/Zc4fV23Y8ToIo9LmA5ba/iSX2bMh+6wbCNqeqAgLcR/Hk+N8X9yj0Q=
Received: from AM4PR02MB3074.eurprd02.prod.outlook.com (2603:10a6:205:4::19)
 by AM0PR02MB5794.eurprd02.prod.outlook.com (2603:10a6:208:17e::18) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.3348.15; Wed, 9 Sep
 2020 11:22:53 +0000
Received: from AM4PR02MB3074.eurprd02.prod.outlook.com
 ([fe80::851b:d8ce:bbb6:d233]) by AM4PR02MB3074.eurprd02.prod.outlook.com
 ([fe80::851b:d8ce:bbb6:d233%4]) with mapi id 15.20.3326.026; Wed, 9 Sep 2020
 11:22:53 +0000
From: "Wedler, Christoph" <christoph.wedler@HIDDEN>
To: "rms@HIDDEN" <rms@HIDDEN>, Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#43275: Upgrade antlr-mode to latest version
Thread-Topic: bug#43275: Upgrade antlr-mode to latest version
Thread-Index: AQHWhdeDExbD1vtTKUyUMBY5u4biDalfrJs0gACgWQA=
Date: Wed, 9 Sep 2020 11:22:52 +0000
Message-ID: <CF524114-7618-4F1B-B094-F0A7FB631086@HIDDEN>
References: <CADwFkmkE74BqhrO7ovwbO59H5L2saqCOkvBnHo88Tt=c-Ubcaw@HIDDEN>
 <E1kFr65-0005q0-Kf@HIDDEN>
In-Reply-To: <E1kFr65-0005q0-Kf@HIDDEN>
Accept-Language: en-GB, en-US
Content-Language: en-GB
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
user-agent: Microsoft-MacOutlook/16.40.20081000
x-originating-ip: [77.185.5.118]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: afaec374-d7b6-4a65-7142-08d854b2b16c
x-ms-traffictypediagnostic: AM0PR02MB5794:
x-microsoft-antispam-prvs: <AM0PR02MB57941A674B94AEAB9FEB2C4694260@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: e8Rx6Y+vVQRIJhVFw28tlqKQ+Kmu0Aw5Z9QSn+2IC52PaNOS+tDL+wo1AmJ5zEFj+mTNNIF4Rq59VgnkY7IKgUptxnVDPjZ+8XJkYP0wwSMC05gCFhRtnxNp4HZkF6PYb/vHmO49/M3uq/kjO0MmrHzqfnyD5rwe2XbG/kYfplJS0QHpJMXoA3d8J3LWWBAV6j5NnUROeIFRLeDPdM39e6RpjNo8UIP+4ouaXrKg9KL80lh7V8mmkIrnstOsAqxTd/zLjsLFXwb1ULDha+aZqfqNFpQxKCgKvPwucl32C9MIeZvE17URu7mD/dn8VOef+PyuICjZ1B2T7/AMm6JPfhy4L2jVI7V0pyyPWbnkDA0MYQfCkdiMjn/3GbcGbMVrtrQBrR2wfhBQ79eJd5MjRg==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:AM4PR02MB3074.eurprd02.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(4636009)(376002)(396003)(136003)(366004)(39860400002)(346002)(2906002)(6512007)(186003)(316002)(8936002)(83380400001)(6506007)(71200400001)(26005)(6486002)(86362001)(33656002)(36756003)(2616005)(4744005)(8676002)(478600001)(966005)(4326008)(110136005)(66946007)(5660300002)(76116006)(64756008)(66556008)(66476007)(66446008);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: KrCRLllH3HlevG1nwKuWRjx5tpaag1sPl6AUe+L/xFoyS3EKseogMhI/DlTs0/q5NwQXAoqR4Jt+Pq96afl4qf8nDy6RkDdpTeuzYw6+S1/avPmwxKxYVKmOmVbakrvK1e9vBn7+VzuHcWK2ZEcR83wJgKgyZxvdk8rRGmpj1lxm3BWUGAzAfCOQHnVWdfEBztXkOuwK/1ioXMqX/NzI/LgEArzKX9KbDSvGaGL6GFU82lxtiZX+oLkov9vMguHl7A15ukBYGbzU8UNWI+3xUa4zAg1wluzzETG+fKyfm87syx5GPgd3cKsn/KGJ+xp+Zg24TS1LHrgO0/e4eh4PQLgE997Sf3ctSWBIKr/eCmDVNoC5dylM1xPhI0sGsAHdKDS2+wsDMrIqIk1OD0/hwDY5bX0bRKv1pcLt2i4XteFiahGkLDfK83E97yvne3je02W5Ygdjq9LDr2qU3M6toOFBtV03L2VNUnOjSBwncQpDlhrf0d+Aphm3ZsADP4VvZetvkv6NFOPmm7QYTL9y0kFaHR4Ra4rgpwGVAb0ZT8m/9d/g2j18iMirvHWyoMBsTR1lW0PCaQot4cH0kUq9/PmNIRh4qcGj6lDBv8u8gA8OQE9+J3EyYCPPjuhivZoLd25kFfe+3V3xEL9GkVYSXw==
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-ID: <D4B4FB3144E4B14C9DD40F34BE4887F8@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: AM4PR02MB3074.eurprd02.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: afaec374-d7b6-4a65-7142-08d854b2b16c
X-MS-Exchange-CrossTenant-originalarrivaltime: 09 Sep 2020 11:22:52.9321 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 42f7676c-f455-423c-82f6-dc2d99791af7
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: ThHedRJCej1c8AB5V/ociE97BLIIewhGTBqO+ycapwtV92VSdEBIb5lE1V6Zm690A4+jjvO3ZpEj5IoR83Ll5JkIgBrnd+xYoTThortt9HI=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM0PR02MB5794
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43275
X-Mailman-Approved-At: Wed, 09 Sep 2020 09:42:59 -0400
Cc: "43275 <at> debbugs.gnu.org" <43275 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

ICA+PiBUaGUgYW50bHItbW9kZSBzaGlwcGVkIHdpdGggRW1hY3MgaXMgdmVyc2lvbiAyLjJjLCBi
dXQgdGhlcmUgaXMgYQ0KICA+PiB2ZXJzaW9uIDMuMS41IGF2YWlsYWJsZSBhdDoNCg0KICA+PiAg
ICAgaHR0cHM6Ly9zb3VyY2Vmb3JnZS5uZXQvcHJvamVjdHMvYW50bHItbW9kZS9maWxlcy8NCg0K
ICA+PiBDb3VsZCB3ZSB1cGdyYWRlIGl0IHRvIHRoZSBsYXRlc3QgdmVyc2lvbj8NCg0KPiBJIGhv
cGUgd2UgY2FuLCBidXQgdGhlIGZhY3QgdGhhdCB1cGRhdGluZyBoYXMgbm90IG9jY3VycmVkIGFs
bCBhbG9uZw0KPiBpbmRpY2F0ZXMgYSBsYWNrIG9mIGNvbW11bmljYXRpb24gd2l0aCB0aGUgZGV2
ZWxvcGVyIG9mIGFudGxyLW1vZGUuDQoNCklmIHlvdSBuZWVkIGFueXRoaW5nIGZyb20gbXkgc2lk
ZSAoSSBhbSB0aGUgYXV0aG9yIG9mIGFudGxyLW1vZGUpLA0KcGxlYXNlIGxldCBtZSBrbm93Lg0K
VW5mb3J0dW5hdGVseSwgaXQgaXMgdW5yZWFsaXN0aWMgZm9yIG1lIHRvIGNoYW5nZSB0aGUgRW1h
Y3MgY29kZSBiYXNlIGRpcmVjdGx5DQooZHVlIHRvIGluZXhwZXJpZW5jZSBpbiBpdCAmIHRpbWUg
Y29uc3RyYWludHMpLg0KDQpJIHVzZSBhbnRsci0zLjEuNSBteXNlbGYgb24gRW1hY3MgMjYuMyB3
aXRoIEFOVExSIHY0LjgvSlMsDQpzbyB0aGVyZSBpcyBob3BlZnVsbHkgbm8gYmlnZ2VyIGFkYXB0
aW9uIG5lY2Vzc2FyeS4uLg0KDQpCZXN0IHJlZ2FyZHMsDQpDaHJpc3RvcGgNCg0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43275; Package emacs. Full text available.

Message received at 43275 <at> debbugs.gnu.org:


Received: (at 43275) by debbugs.gnu.org; 9 Sep 2020 13:01:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 09:01:38 2020
Received: from localhost ([127.0.0.1]:57758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFzjG-0006pl-9I
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 09:01:38 -0400
Received: from mail-ej1-f49.google.com ([209.85.218.49]:42348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kFzjD-0006pE-DD
 for 43275 <at> debbugs.gnu.org; Wed, 09 Sep 2020 09:01:37 -0400
Received: by mail-ej1-f49.google.com with SMTP id q13so3401215ejo.9
 for <43275 <at> debbugs.gnu.org>; Wed, 09 Sep 2020 06:01:35 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=/CCFIGEYyEYFgFADWiGtNkZEiLapHCPZduJYQ44eK+U=;
 b=GsO1hbgtR0+YQ5YbFLNsJQTv0nBWjHhkwixqrQu5zLESAMBa27VAY0U+61BaK5Md78
 a4Hi5tD1Fho+Y7hNXzXO6my/hPNDirBoi4wXXbeYn5FIj56FwXOd3eeIdG98x4mkXyY7
 J/CCwzoluXvw3vozsFP/AgSqPGb4b1LR9AFGtPOFfl6031Zz9f3jsXCDpcyEcskLjj3K
 9NByeAktRWRUh5A5Aq3+fgdDYO3iAGnWRzlCCxs1ytsSwDqmsURgBG1WINXN8sE+Ykds
 klVnfBfKRuYPEKQHjsAG1D877t/qmiX47eF3qQIlqKxdNStvkfZt5AQN+VVbsZkTwrZZ
 3Ndw==
X-Gm-Message-State: AOAM531NF9faN8bYddiOX4tjgEWbZ71X/SeRJx26zyyldgSvhIqSivDC
 zPC71Y2mrNuRVq3Pq+6bt/+96letyQog5beN00s=
X-Google-Smtp-Source: ABdhPJwhTqvPW0R5Wztjfb3bnCg+TmY1EJgtI8xbnmKWwDnTI/mMvvtAfrnlvMGINR4+27EhJu0nFNHuNIo84nznUug=
X-Received: by 2002:a17:906:a201:: with SMTP id
 r1mr3409325ejy.432.1599656489660; 
 Wed, 09 Sep 2020 06:01:29 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 9 Sep 2020 06:01:29 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmmPXTQoH0s-ZUGwy=rfk6ur913-H77d5qLkWCXJ8D3SKw@HIDDEN>
References: <CADwFkmkE74BqhrO7ovwbO59H5L2saqCOkvBnHo88Tt=c-Ubcaw@HIDDEN>
 <E1kFr65-0005q0-Kf@HIDDEN>
 <CF524114-7618-4F1B-B094-F0A7FB631086@HIDDEN>
 <CADwFkmmPXTQoH0s-ZUGwy=rfk6ur913-H77d5qLkWCXJ8D3SKw@HIDDEN>
MIME-Version: 1.0
Date: Wed, 9 Sep 2020 06:01:28 -0700
Message-ID: <CADwFkmmuWdHvtPxW2yZA-vWN+ZtZv3hS733yqFOg62wXwqNU0g@HIDDEN>
Subject: Re: bug#43275: Upgrade antlr-mode to latest version
To: "Wedler, Christoph" <christoph.wedler@HIDDEN>, rms@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 43275
Cc: 43275 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Stefan Kangas <stefan@HIDDEN> writes:

> What is the best way to get the version of your code most suitable to
> add to Emacs?  Should I use the above sourceforge link?

I see now that there have been some changes in antlr-mode.el in the
Emacs source tree.  None of them look very big to me, and I would expect
that they would not take too much time for you to review.

Would you be willing to merge those changes into your version and send
an updated version here?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43275; Package emacs. Full text available.

Message received at 43275 <at> debbugs.gnu.org:


Received: (at 43275) by debbugs.gnu.org; 9 Sep 2020 12:40:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 08:40:50 2020
Received: from localhost ([127.0.0.1]:57730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFzP8-00047v-Ee
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 08:40:50 -0400
Received: from mail-ed1-f50.google.com ([209.85.208.50]:41569)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kFzP5-00047g-Ve
 for 43275 <at> debbugs.gnu.org; Wed, 09 Sep 2020 08:40:48 -0400
Received: by mail-ed1-f50.google.com with SMTP id ay8so2461409edb.8
 for <43275 <at> debbugs.gnu.org>; Wed, 09 Sep 2020 05:40:47 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=f2eu+eLJcqGDpijeuvTUMSpdrar+CdrGuJUL765nenE=;
 b=KKKHVE9zqKs9aaqJSx6anu7TDlkmyV2c0Nk4i6k1bKy1W2mStZnc4skVreVQZYQVrk
 ws9A3MSb1RhQTkoFxjD7jKXzNnshP6UCTZ75jukb42HyuV8CFr4gw6JfTU1jzdMs4d3v
 Is6CjH/etcK/ch2GOh1td0dyHLMnEe2XcyGqsoFo3ukgZJjYxVNeto4S9BuaCpZyO+ni
 +wcBuJjQSuy/L1o4AsK6Sd2MsdbuHAqcJBJ6pT9VvmbH9tMVmD/HUUv8CqFt7Ws9zC6a
 HOtWmhMcnuFYfwg3FjQffv9pnG6BrcD1Du58WmhOw37WsKc3iTJtZNJsj3bT1tfTfJZU
 YNsA==
X-Gm-Message-State: AOAM532k0Sfur4JfkeRAuUOKvK/kLjMrFFYELWLXG4EmRAWurY2eorOj
 CQRnKYziEDDVJsjFkdRWvm/n6uZw1HPWX/wAkKw=
X-Google-Smtp-Source: ABdhPJz+ehzFKCVR1qs+nhjUovssSj+RZDMI6bhAD5SRDJZHm04i5AHzuhgZD7VzMDacCYBLUQpJQqWgp+p0PbMnETc=
X-Received: by 2002:a05:6402:445:: with SMTP id
 p5mr3939759edw.214.1599655242106; 
 Wed, 09 Sep 2020 05:40:42 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 9 Sep 2020 05:40:41 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CF524114-7618-4F1B-B094-F0A7FB631086@HIDDEN>
References: <CADwFkmkE74BqhrO7ovwbO59H5L2saqCOkvBnHo88Tt=c-Ubcaw@HIDDEN>
 <E1kFr65-0005q0-Kf@HIDDEN>
 <CF524114-7618-4F1B-B094-F0A7FB631086@HIDDEN>
MIME-Version: 1.0
Date: Wed, 9 Sep 2020 05:40:41 -0700
Message-ID: <CADwFkmmPXTQoH0s-ZUGwy=rfk6ur913-H77d5qLkWCXJ8D3SKw@HIDDEN>
Subject: Re: bug#43275: Upgrade antlr-mode to latest version
To: "Wedler, Christoph" <christoph.wedler@HIDDEN>, "rms@HIDDEN" <rms@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 43275
Cc: "43275 <at> debbugs.gnu.org" <43275 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

"Wedler, Christoph" <christoph.wedler@HIDDEN> writes:

>   >> The antlr-mode shipped with Emacs is version 2.2c, but there is a
>   >> version 3.1.5 available at:
>
>   >>     https://sourceforge.net/projects/antlr-mode/files/
>
>   >> Could we upgrade it to the latest version?
>
>> I hope we can, but the fact that updating has not occurred all along
>> indicates a lack of communication with the developer of antlr-mode.
>
> If you need anything from my side (I am the author of antlr-mode),
> please let me know.
> Unfortunately, it is unrealistic for me to change the Emacs code base directly
> (due to inexperience in it & time constraints).
>
> I use antlr-3.1.5 myself on Emacs 26.3 with ANTLR v4.8/JS,
> so there is hopefully no bigger adaption necessary...

Thank you, your help is appreciated.

What is the best way to get the version of your code most suitable to
add to Emacs?  Should I use the above sourceforge link?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43275; Package emacs. Full text available.

Message received at 43275 <at> debbugs.gnu.org:


Received: (at 43275) by debbugs.gnu.org; 9 Sep 2020 03:49:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 08 23:49:00 2020
Received: from localhost ([127.0.0.1]:56891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFr6S-0004nc-8U
	for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 23:49:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1kFr6C-0004n8-J7
 for 43275 <at> debbugs.gnu.org; Tue, 08 Sep 2020 23:48:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54568)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1kFr66-0005fC-I0; Tue, 08 Sep 2020 23:48:38 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1kFr65-0005q0-Kf; Tue, 08 Sep 2020 23:48:37 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmkE74BqhrO7ovwbO59H5L2saqCOkvBnHo88Tt=c-Ubcaw@HIDDEN>
 (message from Stefan Kangas on Tue, 8 Sep 2020 04:58:32 -0700)
Subject: Re: bug#43275: Upgrade antlr-mode to latest version
References: <CADwFkmkE74BqhrO7ovwbO59H5L2saqCOkvBnHo88Tt=c-Ubcaw@HIDDEN>
Message-Id: <E1kFr65-0005q0-Kf@HIDDEN>
Date: Tue, 08 Sep 2020 23:48:37 -0400
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43275
Cc: Christoph.Wedler@HIDDEN, 43275 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > The antlr-mode shipped with Emacs is version 2.2c, but there is a
  > version 3.1.5 available at:

  >     https://sourceforge.net/projects/antlr-mode/files/

  > Could we upgrade it to the latest version?

I hope we can, but the fact that updating has not occurred all along
indicates a lack of communication with the developer of antlr-mode.
Would one of the maintainers please try to make contact with
the current developers and establish a relationship to get their
future changes installed when they are made?
-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43275; Package emacs. Full text available.

Message received at 43275 <at> debbugs.gnu.org:


Received: (at 43275) by debbugs.gnu.org; 8 Sep 2020 12:53:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 08 08:53:25 2020
Received: from localhost ([127.0.0.1]:52388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFd7l-0002qj-Ck
	for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 08:53:25 -0400
Received: from mail-ej1-f47.google.com ([209.85.218.47]:41256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kFd7i-0002qT-SI
 for 43275 <at> debbugs.gnu.org; Tue, 08 Sep 2020 08:53:24 -0400
Received: by mail-ej1-f47.google.com with SMTP id lo4so22337083ejb.8
 for <43275 <at> debbugs.gnu.org>; Tue, 08 Sep 2020 05:53:22 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=eD9L7MbUkmy5PGUPbif9aJWv2LMkLxtKnPhfJhNsaLc=;
 b=r/R3UATay8s5MzlpQW5B2zyRhaMKScgyd0+bJuxainNJ44Y4B4xX2JzTm3SxFPID93
 iyFbo+Ng5AXJXssl3weNThRj/rQxzEMhcgg/7Hv0eADmStQhusA6HQ8Pz6WOkuKKEdUB
 f0538s59jg+iSHIVY8hEy1WZG/yBOZw2+PG/RmLaAXlVia3TG02GRSkL7O0xGv6rN7QZ
 bU4R+AVIRaFRyv43Q9SEiB0hHIKa9ZiA93XPC8ttc5uJDxx/fzZK7OPW2Wg2V8mcMDUA
 cyxi16ofkTOA2WFxHA8fU9FX99nv4So5bm7joyOaKuL3uNlgoP/pnpA7OzlZhJiPY78v
 3rjA==
X-Gm-Message-State: AOAM531P1+IQzNscdhfrF0wvuQqusvPdX+Cq9s2RETa8Vc7Phy+0VnJr
 PGcxMBkSU/yrdg60EiEMPFMF0u+j155s0Q3dZI8nsEKK
X-Google-Smtp-Source: ABdhPJyBi9MuGBof+7e4BY7c34r2nmrzTRrzjXITLBjCamWVqvOcemGLqyQ5s+jjj4e9+NkVfOkioq2q+0+JyiBV8K4=
X-Received: by 2002:a17:907:70cb:: with SMTP id
 yk11mr25307967ejb.312.1599569596857; 
 Tue, 08 Sep 2020 05:53:16 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 8 Sep 2020 12:53:16 +0000
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmkE74BqhrO7ovwbO59H5L2saqCOkvBnHo88Tt=c-Ubcaw@HIDDEN>
 (Stefan Kangas's message of "Tue, 8 Sep 2020 04:58:32 -0700")
References: <CADwFkmkE74BqhrO7ovwbO59H5L2saqCOkvBnHo88Tt=c-Ubcaw@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Tue, 8 Sep 2020 12:53:16 +0000
Message-ID: <CADwFkmkwwy+wTpQvTXcd46O0g7Z+uNeBpP=WaYuZ6qcS_rBxKQ@HIDDEN>
Subject: Re: bug#43275: Upgrade antlr-mode to latest version
To: 43275 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 43275
Cc: Christoph.Wedler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Stefan Kangas <stefan@HIDDEN> writes:

> The antlr-mode shipped with Emacs is version 2.2c, but there is a
> version 3.1.5 available at:
>
>     https://sourceforge.net/projects/antlr-mode/files/
>
> Could we upgrade it to the latest version?

Here's a relevant thread from 2015:
https://lists.gnu.org/archive/html/emacs-devel/2015-11/msg02057.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43275; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Sep 2020 11:58:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 08 07:58:39 2020
Received: from localhost ([127.0.0.1]:52298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFcGl-0001Ua-2N
	for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 07:58:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:50580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kFcGj-0001UT-Qk
 for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 07:58:38 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54008)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1kFcGj-0000sr-IM
 for bug-gnu-emacs@HIDDEN; Tue, 08 Sep 2020 07:58:37 -0400
Received: from mail-ed1-f41.google.com ([209.85.208.41]:35925)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1kFcGh-0003iu-MW
 for bug-gnu-emacs@HIDDEN; Tue, 08 Sep 2020 07:58:37 -0400
Received: by mail-ed1-f41.google.com with SMTP id w1so15717434edr.3
 for <bug-gnu-emacs@HIDDEN>; Tue, 08 Sep 2020 04:58:35 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to;
 bh=cwgILwzUTmS216ArpZXxreWtL/2cve7UBUjmvfE3AZs=;
 b=OTrBI30IoYZ0x5H8YzEaFV9gEM3eQSuPA2A/DnKVCIxLHazT9B1SUDYJ5HHOISDebp
 biNO69ynGqvsbDSlJazwzUEdgmiWEiciDRSbVBbwXgbEbK21cZDQHYf8pVjfQwdOQp9A
 NSzBUHctDpreTo6J8ZLMif2hdnq6ZC8BkX5ufFI2VmCJJ/TKUzBReG77vfHTcB1Y5yDb
 sdqKn2OislR9a5tlz+HkUk5UDs43WRvdRV67REh0saP6+32Kms9RRKeUdW0RAP7IPV2y
 OaDgox4Xj3nc+NFIuj6erk0PyWbPB6fFMZDI+KwBrbIt3cSMatjchAc4PiztTYvl9T5W
 vLTQ==
X-Gm-Message-State: AOAM531o7ZGOUp11PeZ9kh4YDAjB8kQVwQH7296oSStj1j1FpmhmghLx
 TMDklrERSsAqud7zazPVG2lHChUvha2/7StYC52J55in
X-Google-Smtp-Source: ABdhPJwBH3N12rGYhW2QwQolIFI6J1s5XBH2y32pNw66N4mHHvvxsbSYc0++EyFpuUBvodXtcp3SGdlJWvfUJS9PUPM=
X-Received: by 2002:a50:ce06:: with SMTP id y6mr25885078edi.273.1599566313669; 
 Tue, 08 Sep 2020 04:58:33 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 8 Sep 2020 04:58:32 -0700
From: Stefan Kangas <stefan@HIDDEN>
X-Debbugs-CC: Christoph.Wedler@HIDDEN
MIME-Version: 1.0
Date: Tue, 8 Sep 2020 04:58:32 -0700
Message-ID: <CADwFkmkE74BqhrO7ovwbO59H5L2saqCOkvBnHo88Tt=c-Ubcaw@HIDDEN>
Subject: Upgrade antlr-mode to latest version
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=209.85.208.41;
 envelope-from=stefankangas@HIDDEN; helo=mail-ed1-f41.google.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/08 07:58:34
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9,
 FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Severity: wishlist The antlr-mode shipped with Emacs is
 version 2.2c, but there is a version 3.1.5 available at:
 https://sourceforge.net/projects/antlr-mode/files/
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
 lines 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Severity: wishlist

The antlr-mode shipped with Emacs is version 2.2c, but there is a
version 3.1.5 available at:

    https://sourceforge.net/projects/antlr-mode/files/

Could we upgrade it to the latest version?

Best regards,
Stefan Kangas




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to Christoph.Wedler@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to Christoph.Wedler@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#43275; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 1 Jan 2021 19:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.